Subject: [tcpm] Auth Option obsoleting MD5 Option in IANA registry

From: "Eddy, Wesley M. (GRC-MS00)[ASRC AEROSPACE CORP]" <[email-masked]>
Date: Fri, 5 Mar 2010 12:56:16 -0600

Following IANA's review of the TCP-AO draft, it was
noted that some entries in the TCP options registry
have notes of being obsoleted by other options:
http://www.iana.org/assignments/tcp-parameters/tcp-parameters.xhtml
One example, is Kind=6, which in the "Meaning"
column indicates that it's obsoleted by Kind=8.

It's proposed that since the TCP AO document
obsoletes the TCP MD5 RFC, that the option assigned
to TCP AO obsolete Kind=19, the MD5 Signature
Option, and this would be noted in the IANA registry.

I think this should be easily agreed to by TCPM,
since AO was created to obsolete the MD5 option,
but if there are any objections to this, now is a
good time to make them :).

--
Wes Eddy
MTI Systems

---

From: Fernando Gont <[email-masked]>
Date: Fri, 05 Mar 2010 16:27:56 -0300

> good time to make them :).

Question: this does not mean that the option will be reassigned in the
short term for some other purpose, right?

Thanks!

Kind regards,
-- 
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1

---

From: "Eddy, Wesley M. (GRC-MS00)[ASRC AEROSPACE CORP]" <[email-masked]>
Date: Fri, 5 Mar 2010 13:32:27 -0600

>-----Original Message-----
>From: Fernando Gont [mailto:[email-masked]]
>Sent: Friday, March 05, 2010 2:28 PM
>To: Eddy, Wesley M. (GRC-MS00)[ASRC AEROSPACE CORP]
>Cc: [email-masked]
>Subject: Re: [tcpm] Auth Option obsoleting MD5 Option in IANA registry
>

Correct; the proposal is simply to add a note saying
that TCP MD5 has been obsoleted, not to return Kind=19
to the pool of unassigned values.

--
Wes Eddy
MTI Systems

---

From: Joe Touch <[email-masked]>
Date: Fri, 05 Mar 2010 11:40:09 -0800

> to the pool of unassigned values.

Right - here's an example from the list:

6       6       Echo (obsoleted by option 8)           [RFC1072]
7       6       Echo Reply (obsoleted by option 8)     [RFC1072]
8       10      TSOPT - Time Stamp Option              [RFC1323]

The current entry is:

19      18      MD5 Signature Option                   [RFC2385]

The proposed change would probably look like the following (compressed
to fit on a single line):

19      18   MD5 Signature Option (obsoleted by option NN) [RFC2385]

Joe

---

From: Fernando Gont <[email-masked]>
Date: Fri, 05 Mar 2010 17:41:07 -0300

> to the pool of unassigned values.

Then, +1 :-)

Thanks,

---

From: David Borman <[email-masked]>
Date: Fri, 5 Mar 2010 15:11:13 -0600

This makes sense to me, so I am in support of the change.
		-David Borman

On Mar 5, 2010, at 12:56 PM, Eddy, Wesley M. (GRC-MS00)[ASRC AEROSPACE CORP] wrote:

> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

---

From: "Anantha Ramaiah (ananth)" <[email-masked]>
Date: Fri, 5 Mar 2010 14:24:35 -0800

I was the one who probably raised this issue earlier and the meaning of
the term "obseletes" and we had use that for a lack of a better term.
TCP-MD5 will continue to exist and we will have to support it as long as
it exists.

That said my real question is : What is the purpose of IANA noting that
this "kind" is obsolete? They cannot allocate to another option, is it
pure book keeping activity?

-Anantha

> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Eddy, Wesley M. (GRC-MS00)[ASRC AEROSPACE CORP]
> Sent: Friday, March 05, 2010 10:56 AM
> To: [email-masked]
> Subject: [tcpm] Auth Option obsoleting MD5 Option in IANA registry
> 
> Following IANA's review of the TCP-AO draft, it was noted 
> that some entries in the TCP options registry have notes of 
> being obsoleted by other options:
> It's proposed that since the TCP AO document obsoletes the 
> TCP MD5 RFC, that the option assigned to TCP AO obsolete 
> Kind=19, the MD5 Signature Option, and this would be noted in 
> the IANA registry.
> 
> I think this should be easily agreed to by TCPM, since AO was 
> created to obsolete the MD5 option, but if there are any 
> objections to this, now is a good time to make them :).
> 
> --
> Wes Eddy
> MTI Systems
> 
>

---

From: Joe Touch <[email-masked]>
Date: Fri, 05 Mar 2010 14:36:51 -0800

Hi, Anantha,

This is bookkeeping. It doesn't change anything - it just reflects the
status of the AO doc as "obsoleting" 2385.

Joe

---

From: Mark Allman <[email-masked]>
Date: Tue, 09 Mar 2010 12:16:02 -0500

> good time to make them :).

Seems like a reasonable plan to me.

allman